Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.proximity
Class MinRTTProximityProvider.EntityManager

    java.lang.Object
      org.mpisws.p2p.transport.proximity.MinRTTProximityProvider.EntityManager

Enclosing class:
  MinRTTProximityProvider<Identifier>

    public class MinRTTProximityProvider.EntityManager

extends java.lang.Object

Internal class which is charges with managing the remote connection via a specific route

Field Summary
`protected Identifier` | `identifier`
`protected long` | `lastPingTime`
`protected int` | `proximity`

Constructor Summary
`MinRTTProximityProvider.EntityManager(Identifier route)` Constructor - builds a route manager given the route

Method Summary
`protected void` | `markProximity(int proximity, java.util.Map<java.lang.String,java.lang.Object> options)` This method should be called when this route has its proximity updated
`void` | `ping(java.util.Map<java.lang.String,java.lang.Object> options)`
`int` | `proximity()` Method which returns the last cached proximity value for the given address.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    protected Identifier identifier

### proximity

    protected int proximity

### lastPingTime

    protected long lastPingTime

Constructor Detail

### MinRTTProximityProvider.EntityManager

    public MinRTTProximityProvider.EntityManager(Identifier route)

  Constructor - builds a route manager given the route

  Parameters:
    `route` - The route

Method Detail

### ping

    public void ping(java.util.Map<java.lang.String,java.lang.Object> options)

### proximity

    public int proximity()

  Method which returns the last cached proximity value for the given address. If there is no cached value, then DEFAULT_PROXIMITY is returned.

  Parameters:
    `address` - The address to return the value for
  Returns:
    The ping value to the remote address

### markProximity

    protected void markProximity(int proximity,
                                 java.util.Map<java.lang.String,java.lang.Object> options)

  This method should be called when this route has its proximity updated

  Parameters:
    `proximity` - The proximity

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.